# Generated by Django 2.0.5 on 2020-04-28 13:47

from django.db import migrations


class Migration(migrations.Migration):
    def restructure_device_info_monitoring_data(apps, schema_editor):
        DeviceInfo = apps.get_model("core", "DeviceInfo")
        for device in DeviceInfo.objects.all():
            if device.monitoring_data:
                is_managed = device.monitoring_data.get("is_managed", False)
                device.monitoring_data.update({"is_managed": is_managed})
                monitoring_data = {
                    f"logicmonitor": device.monitoring_data,
                    "last_updated_by": "logicmonitor",
                    "is_managed": is_managed,
                }
                device.monitoring_data = monitoring_data
                device.save()

    dependencies = [("core", "0061_auto_20200414_0943")]

    operations = [
        migrations.RunPython(restructure_device_info_monitoring_data)
    ]
